PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- skymask

# skymask

pydl.pydlspec2d.spec1d.skymask(invvar, andmask, ormask=None, ngrow=2)

  Mask regions where sky-subtraction errors are expected to dominate.

  Parameters
    invvar `numpy.ndarray`

      Inverse variance.

    andmask `numpy.ndarray`

      An “and” mask. For historical reasons, this input is ignored.

    ormask `numpy.ndarray`, optional

      An “or” mask. Although technically this is optional, if it is not supplied, this function will have no effect.

    ngrow `int`, optional

      Expand bad areas by this number of pixels.

  Returns
    `numpy.ndarray`

      The `invvar` multiplied by the bad areas.